
Redmine - Defect #16415

Users get e-mail notification twice, if they are watchers and assignees at the same time.

2014-03-24 10:32 - Zoltan Tolnai

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Zoltan Tolnai % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution:  Affected version: 2.5.0

Description

I think they should get only one notification.

This is the environment I tested:

Environment:

  Redmine version                2.5.0.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [i486-linux]

  Rails version                  3.2.17

  Environment                    production

  Database adapter               MySQL

SCM:

  Subversion                     1.6.17

  Cvs                            1.12.13

  Bazaar                         2.6.0

  Git                            1.7.10.4

  Filesystem

Redmine plugins:

  clipboard_image_paste          1.8

  redmine_issue_checklist        2.0.5

  redmine_theme_changer          0.1.0

Associated revisions

Revision 13029 - 2014-03-29 16:27 - Jean-Philippe Lang

Remove users from cc if they are already notified (#16415).

Revision 13030 - 2014-03-29 17:04 - Jean-Philippe Lang

Merged r13029 (#16415).

History

#1 - 2014-03-29 16:29 - Jean-Philippe Lang

- Status changed from New to Needs feedback

- Assignee set to Zoltan Tolnai

Can you check if r13029 solves your issue?

#2 - 2014-03-29 17:47 - Zoltan Tolnai

Yes, this solved the issue. Thanks.

#3 - 2014-04-06 13:15 - Jean-Philippe Lang

- Subject changed from users get e-mail notification twice, if they are watchers and assignees at the same time. to Users get e-mail notification twice, if

they are watchers and assignees at the same time.

- Status changed from Needs feedback to Closed

- Target version set to 2.5.2

Thanks for the feedback.
